Bug 973680 - Maildir.py: Don't skip directory with an empty path
Maildir.py: Don't skip directory with an empty path
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: offlineimap (Show other bugs)
20
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Dodji Seketeli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 09:39 EDT by Anton Arapov
Modified: 2015-06-29 08:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:00:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Arapov 2013-06-12 09:39:13 EDT
In Maildir.py you may see around the lines 153-163:
153 if dirname == '':
154   if extension is not None:
...
159   else:
160       # We are skipping this because a directory with an
161       # empty path name does not make sense
162       self.debug('  skip this entry (None)')
163       continue

And there is a good sense not to skip it in order to comply the Evolution's hardcoded Maildir structure.

In order to comply with the structure, Inbox directory must be a top one, thus the following nametrans should be used:
nametrans = lambda folder: re.sub('\s+', '',
                           re.sub('(^.{1})', '.\\1',
                           re.sub('^(INBOX)', '', folder)))

And the very string above is falling under the line 159 in code and get skipped.

Please, don't skip it, change the code. Evolution users will be happy.

Anton.
Comment 1 Marcel Haerry 2013-08-18 19:22:05 EDT
This is fixed in newer versions of offlineimap.

It wasn't present in Fedora 18 (so offlineimap-6.5.2.1-2.fc18) but it is now in F19 which makes offlineimap not useable anymore in F19. Hence, switching from Fedora's -2 to -4 breaks Maildir support.

It works with latest upstream and you will find out that there the part of the code in question has also been removed upstream.
Comment 2 Fedora End Of Life 2013-09-16 10:09:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Dodji Seketeli 2013-09-24 09:16:04 EDT
I have just pushed the third release candidate of offlineimap 6.5.5 to Rawhide.  Could you test it to see if it solves the issue for you?

You can get it early at http://koji.fedoraproject.org/koji/taskinfo?taskID=5975511.
Comment 4 Anton Arapov 2013-09-24 11:29:11 EDT
Dodji, 

thanks, WORKS FOR ME
Comment 5 Dodji Seketeli 2013-09-24 12:15:30 EDT
OK.  I have no plan for backporting this into F20 and F19, but maybe that is what users want.

I'll be listening to you guys opinion on this.  In the mean time I'll keep this bug open so that folks see it easily in their queries.
Comment 6 Marcel Haerry 2013-09-24 16:13:00 EDT
Works for me too, backport to F20 at least would be nice.
Comment 8 Fedora End Of Life 2015-05-29 05:07:06 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:00:38 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.